Bug 850888 - [abrt] evolution-data-server-3.4.3-1.fc17: __x86.get_pc_thunk.bx: Process /usr/libexec/evolution-calendar-factory was killed by signal 11 (SIGSEGV)
[abrt] evolution-data-server-3.4.3-1.fc17: __x86.get_pc_thunk.bx: Process /us...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:6d3660baba2619ddca5582faf22...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 12:05 EDT by Torsten Ebbecke
Modified: 2013-07-31 23:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:46:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (16.63 KB, text/plain)
2012-08-22 12:05 EDT, Torsten Ebbecke
no flags Details
File: maps (26.02 KB, text/plain)
2012-08-22 12:05 EDT, Torsten Ebbecke
no flags Details
File: dso_list (8.92 KB, text/plain)
2012-08-22 12:05 EDT, Torsten Ebbecke
no flags Details

  None (edit)
Description Torsten Ebbecke 2012-08-22 12:05:06 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-calendar-factory
crash_function: __x86.get_pc_thunk.bx
executable:     /usr/libexec/evolution-calendar-factory
kernel:         3.5.2-1.fc17.i686.PAE
pid:            1289
pwd:            /
remote_result:  NOTFOUND
time:           Di 21 Aug 2012 15:08:57 WEST
uid:            1000
username:       json
var_log_messages: Aug 21 15:08:58 medion abrt[5895]: Saved core dump of pid 1289 (/usr/libexec/evolution-calendar-factory) to /var/spool/abrt/ccpp-2012-08-21-15:08:57-1289 (71925760 bytes)

backtrace:      Text file, 17032 bytes
dso_list:       Text file, 9139 bytes
maps:           Text file, 26644 bytes

build_ids:
:9ca582cad748c16c8582c4d9c7d8540c40dbbee9
:a20c84ea7142180f9945a373d999c75c19f3bab9
:b89814f6f146276caf45b017138ca664ef34888d
:871f20768b677cb3e1bff7cb6a3e271ea889c003
:1a7b4207246d974b07f37fb436f75f82def7ddd0
:ead51fdd3a3b0a64a958812f291dd287f726aacb
:4bd9cd3a78fa841a2bcf0df8c7e838b80cccd5f3
:35b89ab09e065e4da8f417312ca2f1105efc0a01
:3376a8b033f2cf0bac9640dae0f025d6c3602a0e
:fad91ac353e3532099b38d4dffada3e91cf97fa3
:1bd8759bebef64391ac5c7d08cf7c047918f14d8
:7468ba793c595989f2e6a123e4a2af42f38ef0fe
:ffc425eddeb2f38f01c63b4a9978484cf14b7da8
:047d9b9e8c806072a73c78dd57897edb954c894f
:b1822173d7a500f5b21f71373e030d04c42885f8
:9ed05e8e8a8b5707f28623112c1eea0ab4c2da77
:40aa1eed8ade20636372295501df0cd14d5f3d9a
:5c31def343c518889f6d7ec4f388b6233ed43a90
:56daa92d571686554be873defadd538202804a3c
:c14b6f89069a5c97a88ee6a7a4d848125d836dfc
:31b94f9b447b74280d5f248dd2c756f8f5e25acc
:3a29892c30642f5d7f11403d47eb309d2c938d9b
:0db1085b6f5f26681999bf8762e7374bb8179395
:d44eca373263d7abb445ddd5bad3dafbccd8cfed
:70536c11fa6b5b81514d06ae97bc967f00e1ab44
:f48ad284394152b21bb23d27734b77b4a2dcd7cf
:c09fcef3e25287fd552079f7e0a05299f304e4fd
:7014cdbcdb406427dcce3b18acd8d833deeaf107
:9168959d688c85ac3bcf9ed97b1dc761423c0b5c
:7faafb831099edb22009d9bac9c0ba2bb6ae08aa
:a052236088d0e128748dd47a336e683e8576e79d
:4723ea68ac0f3366ffaefee6b60b82b1aa2ea5e4
:e9363a6b468d459c7e4cb0d9757079106b3a882c
:89eb2b8054689196f0779ec2bae5e914adc2e244
:0e6237e842c1743ece1a1e31b0ea67b465dcc1e8
:99912e7d86a35a6db645f4f4ed689312de502a96
:f423554fb5eec5b63987a04d8f28354ac027ff3d
:96839607fd27e8e1d2fcdccb0c39d0efd866bad3
:c79548e45f2f47896f5cdb95fb30cefd450e221d
:dfe74596fb7e2c87dfc2ad8b0fcb788f8430cd3c
:2db83a4c3dc4ba607b77e73639ac847081193f8c
:c25f4a34816c8918d5cce3f8b7a851948c6db023
:7c7e4b4c44bd73d599301c30814711fdd3dfc8fd
:b92b5700463dcd4f2db28ef5fdd06d79e0e57921
:5b5557b5b0427930b220a00961393e29809c42f0
:6827db64bf037f6de97ac9f37d50f32f343930a4
:afd210efd29a1a41eec4bdffd056e4afaf8ec232
:acccee84fefeebf82dea74d95ce0369573298fe3
:b23f7b89bf3bebd443fa7cfdfa98b6e00c0f8d33
:9aea670864d2a34a222fd110376f7946b702de7c
:3bd938d415b4a058e0805271a2ca7beffa725033
:3726f320e06d51ed2bc670064cf8099a01f255fd
:4cb2e4bc8c5ae850550f2b0269a8927775a6a0ea
:c48bdbb2542d5d7ce5b081f57915ca6164dd70b5
:ccd17c03940a8cb54bb2f9c6f6d76626976fccf7
:480227a7bca28f7b6f8a785f94d35274f692e9d0
:75dd838611972f941eddfbc872c11bb0e35fb8c2
:1d6d247cb1c1dc86b34ab960d58c82d7cce35e15
:ee161496c6b7e6e5497474af747561c28d484968
:4917bcde22f3be7892a0289b37cf7dfc987c8474
:9f6e94e09985d1fc3b025dc4d9988049a149c91d
:346c7f8a791cd1b7be07bfff6f849d658d506a17
:4c23c393ed8b8565bd8e90d5b57a868ba0ccfab3
:2b56cb6bd4731e25e69a23cbdd04b94c0dbfff4f
:c350cdb39dd36f06697ea2660449e97783beb389
:019e42ad205179335b27f2a79a873fda88ed21a3
:3315dc1f02dea0ab28a3f5f08ce3f07c9e156291
:cc03ec55c94e26832d473d4fcfbccbbb3d5696c3
:db6c0f5e6d5c4c0b791a6cccb49ea2ff3a1d98f0
:d34497159e03327f0aa86c731cf08230a13fee72
:88355dd86bb6db28d6805ab8d9dc0c0f3886e721
:57d6de5ff5536ed125c804f036da93c46399c6e4
:8942f83f6428f92b3e2b20fd88874d1554ab96f2
:76c2be76a602d95d176a9741055a89bf42f44193
:3963a22f94ad7fefddcee43043fa1fe2ea8c9835
:068cd83a1359ebba8cf9eed9786a4c95c0a6092c
:e0a36198bfd6a9fe5b449ab5dc7704936d83ea5c
:575baa02708478d7342b833550b56bec0aaf63c6
:b19ec4596b515644ce97e6e8b5e6b83a7b685741
:966ed2c680de139c56a34640338425fdfacd1cf2
:c3cd9ee2ac81425364166dea0990eb5856ab68ac
:848a04e2a6ce321422123dd4369d8fff2214d349
:cc9115bc35ddf6c3c933a5751cae695f3579bddf
:9557d9eef63fe6e5c4d591ceb0191ca3fc706b4a
:0192dd2785a5ee3ae8c4e920cb320c702385d4ef
:01adeca10be954eee4e13ceb879b98159ab71fbb
:3553245eb6ca034a276cd147fb60b31c1cb36889
:86ec90cfe6e3894a12f943a5e80e4ba8c2d83875
:8d3308331c237b31f5e500d73e249edd53676aec
:327661a5f401b69a985e63c374da3357fb7bd155
:c732867aa1c714d3919ece0c874c6f044380e85d
:ba148f978034eebf97945bc788a04a9f513a0088
:bc998134806c187ae5af978d4d85c7e7d281bf3f
:e83481ca8fd1dee992fb4262849c2354e0b45e3f
:67ef016c8eebce4bb7e04285ea4cedafccb4aa27
:28f2f286ac34caaf3998a75dfccf1f74e309eaa3
:d4648a6d0b3baa7a362f083fd15285686b1503f3

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/json/1

core_backtrace:
:d4648a6d0b3baa7a362f083fd15285686b1503f3 0x15970 - libglib-2.0.so.0 -
:- 0x0 - - -

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-AkixNCZEHx,guid=139db78364eece5b31c8f4090000001d
:XDG_SESSION_COOKIE=058c5c6e6088bb8b7bba8bf60000000d-1345542978.13252-1871764017
:XDG_RUNTIME_DIR=/run/user/json
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:SSH_AUTH_SOCK=/run/user/json/keyring-6oBgIn/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/865,unix/unix:/tmp/.ICE-unix/865
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:XDG_VTNR=1
:USERNAME=json
:GDMSESSION=gnome
:XDG_SESSION_ID=1
:GPG_AGENT_INFO=/run/user/json/keyring-6oBgIn/gpg:0:1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-AkixNCZEHx,guid=139db78364eece5b31c8f4090000001d
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-json-MNCm7s/database
:USER=json
:DBUS_STARTER_BUS_TYPE=session
:SHLVL=1
:PWD=/
:GDM_LANG=de_DE.utf8
:GNOME_KEYRING_CONTROL=/run/user/json/keyring-6oBgIn
:LANG=de_DE.utf8
:_=/usr/bin/dbus-launch
:LOGNAME=json
:HOME=/home/json

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15910                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15910                15910                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	02
:1:/dev/null
:pos:	0
:flags:	02
:2:/dev/null
:pos:	0
:flags:	02
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:/dev/null
:pos:	0
:flags:	02
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[20928]
:pos:	0
:flags:	04002
:7:socket:[20929]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:socket:[20933]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:Allgemein
:=================================
:UUID: 23df4d30-41d7-4587-9b95-b09b593e6306
:OS: Fedora release 17 (Beefy Miracle)
:Standard-Runlevel: Unknown
:Sprache: de_DE.utf8
:Plattform: i686
:BogoMIPS: 3200.28
:CPU-Anbieter: GenuineIntel
:CPU-Modell: Intel(R) Atom(TM) CPU N270   @ 1.60GHz
:CPU-Stepping: 2
:CPU Familie: 6
:CPU-Modellnummer: 28
:Anzahl der CPUs: 2
:CPU-Geschwindigkeit: 1600
:Systemspeicher: 2005
:System-Swap: 3999
:Anbieter: MEDION
:System: E1210 Ver.001
:Form-Faktor: Desktop
:Kernel: 3.5.2-1.fc17.i686.PAE
:SELinux aktiviert: 1
:SELinux-Richtlinie: targeted
:SELinux erzwingen: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Geräte
:=================================
:(32902:10169:5218:272) pci, lpc_ich, PCI/ISA, 82801GBM (ICH7-M) LPC Interface Bridge
:(6164:1921:6164:10128) pci, rt2800pci, NETWORK, RT2860
:(32902:10158:5218:272) pci, i915, VIDEO, Mobile 945GME Express Integrated Graphics Controller
:(32902:10150:5218:272) pci, None, VIDEO, Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller
:(32902:10192:0:0) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:0:0) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(4332:33078:5218:272) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:10200:5218:272) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:9288:32902:9288) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10181:5218:272) pci, ahci, STORAGE, 82801GBM/GHM (ICH7 Family) SATA AHCI Controller
:(32902:10185:5218:272) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:5218:272) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10156:5218:272) pci, agpgart-intel, HOST/PCI, Mobile 945GME Express Memory Controller Hub
:(32902:10186:5218:272) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:5218:272) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:5218:272) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:
:
:Dateisysteminformationen
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 3779682 958843 766843 960992 690624 690624
:/dev/sda4 /home ext4 4096 4096 67088560 60109958 56702035 17047552 16926261 16926261
:
Comment 1 Torsten Ebbecke 2012-08-22 12:05:12 EDT
Created attachment 606323 [details]
File: backtrace
Comment 2 Torsten Ebbecke 2012-08-22 12:05:17 EDT
Created attachment 606324 [details]
File: maps
Comment 3 Torsten Ebbecke 2012-08-22 12:05:21 EDT
Created attachment 606325 [details]
File: dso_list
Comment 4 Milan Crha 2012-08-23 03:18:11 EDT
Thanks for a bug report. Are you able to reproduce this reliably, please? It seems to me that it depends on an actual result of the server response of one of your CalDAV calendars, though as I pasted the crashing backtrace below, evolution-data-server is just unreffing a SoupMessage, whcih is unreffing some object from gtlscertificate-gnutls.c, where the crash actually happened.

Dan, did you ever see anything similar, please? I checked upstream bugzilla, but no hit on the g_tls_certificate_gnutls_finalize() function in libsoup bugs.

Thread 1 (Thread 0xb4efeb40 (LWP 1511)):
#0  0x4a027970 in __x86.get_pc_thunk.bx () from /lib/libglib-2.0.so.0
#1  0x4a045075 in g_clear_error (err=0x8b3ff14) at gerror.c:640
#2  0xb58ead31 in g_tls_certificate_gnutls_finalize (object=0x8b3fef0 [GTlsCertificateGnutls]) at gtlscertificate-gnutls.c:71
#3  0x4a196b39 in g_object_unref (_object=0x8b3fef0) at gobject.c:3018
#4  0x4d0b0d1f in finalize (object=0xb5708cf0 [SoupMessage]) at soup-message.c:188
#5  0x4a196b39 in g_object_unref (_object=0xb5708cf0) at gobject.c:3018
#6  0xb6bcb905 in check_calendar_changed_on_server (cbdav=0x8b24a58 [ECalBackendCalDAV]) at e-cal-backend-caldav.c:1232
#7  synchronize_cache (cbdav=cbdav@entry=0x8b24a58 [ECalBackendCalDAV], start_time=1342534136, end_time=end_time@entry=1348582136) at e-cal-backend-caldav.c:1941
#8  0xb6bd0d27 in caldav_synch_slave_loop (data=0x8b24a58) at e-cal-backend-caldav.c:2310
#9  0x4a07e2c4 in g_thread_proxy (data=0xb5703320) at gthread.c:801
#10 0x49f81adf in start_thread (arg=0xb4efeb40) at pthread_create.c:309
#11 0x49ebb3ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
No locals.
Comment 5 Fedora End Of Life 2013-07-03 20:15:47 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 23:46:51 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.